"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PaypayAuthorizeRequestDto = void 0;
const AbstractPaymentRequestDto_1 = require("../AbstractPaymentRequestDto");
class PaypayAuthorizeRequestDto extends AbstractPaymentRequestDto_1.AbstractPaymentRequestDto {
    serviceType = "paypay";
    serviceCommand = "Authorize";
    orderId;
    serviceOptionType;
    accountingType;
    oneTimeCode;
    amount;
    withCapture;
    storeId;
    terminalId;
    receiptNumber;
    settleBizCode;
    itemName;
    itemId;
    successUrl;
    cancelUrl;
    errorUrl;
    pushUrl;
    transitionType;
    extendParameterType;
    _maskedLog;
    get maskedLog() {
        return this._maskedLog;
    }
    set maskedLog(value) {
        this._maskedLog = value;
    }
}
exports.PaypayAuthorizeRequestDto = PaypayAuthorizeRequestDto;
//# sourceMappingURL=PaypayAuthorizeRequestDto.js.map